#
# spec file for package vdr-plugin-epgfixer
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2018 B1 Systems GmbH, Vohburg, Germany.
# Copyright (c) 2012 Marcel Witte
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pluginname epgfixer
%define pluginversion 0.3.1
Name:           vdr-plugin-%{pluginname}
Version:        %{pluginversion}
Release:        lp150.3.1
Summary:        Epgfixer is a VDR plugin for doing extra fixing of EPG data
License:        GPL-2.0-only
Group:          Hardware/TV
Url:            http://projects.vdr-developer.org/projects/plg-epgfixer
Source0:        vdr-%{pluginname}-%{pluginversion}.tar.bz2
# https://projects.vdr-developer.org/git/vdr-plugin-epgfixer.git
Patch0:         vdr-epgfixer-0.3.1...354f28b0112ba.diff
BuildRequires:  gcc-c++
BuildRequires:  pcre-devel
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Epgfixer is a VDR plugin for doing extra fixing of EPG data.

Features:

- Modifying EPG data using regular expressions. Correctly named back references are placed to the named EPG field.
- Character set conversions for channel using incorrect encoding.
- Both regular expressions and character set conversions can be applied to either all channels or only to selected channels.
- Editing regular expressions and character set conversions through setup menu.
- EPG bug fixes included in VDR individually selectable from setup menu.

%prep
%setup -q -n %{pluginname}-%{pluginversion}
%patch0 -p 1

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%{vdr_find_locale}

%files -f vdrlocale.files
%defattr(-,root,root)
%doc HISTORY README
%license COPYING
%{vdr_libdir}/libvdr*
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/plugins/epgfixer
%attr(-,vdr,root) %config %{vdr_sysconfdir}/plugins/epgfixer/*.conf

%changelog
* Wed Dec 26 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- update to current git (2018-04-16), add
  vdr-epgfixer-0.3.1...354f28b0112ba.diff
  - various bugfixes, see HISTORY file
  - allow build with VDR 2.3.x+
  - modern build system, simple make syntax
- remove obsolete nomakeglobal.patch
* Thu Apr 10 2014 seife+obs@b1-systems.com
- get rid of vdr_old_plugin_* macros
* Sat Mar 29 2014 seife+obs@b1-systems.com
- remove vdrapi from package version
- change from vdrapi requires to PreReq: vdr_prereq macro
- run spec-cleaner
- remove unneeded debug_package, post and pre sections
* Wed Dec  5 2012 wittemar@googlemail.com
- update to 0.3.1
* Mon Oct 15 2012 wittemar@googlemail.com
- update to 0.3.0
* Sun May 13 2012 wittemar@googlemail.com
- update to 0.2.1
* Sun May 13 2012 wittemar@googlemail.com
- update to 0.2.0
* Sun May  6 2012 wittemar@googlemail.com
- release 0.1.0
